Bug 675122 - Review Request: php-pear-Auth-Yubico - Authentication class for verifying Yubico OTP tokens
Summary: Review Request: php-pear-Auth-Yubico - Authentication class for verifying Yu...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-04 11:41 UTC by Patrick Monnerat
Modified: 2011-03-04 10:05 UTC (History)
3 users (show)

Fixed In Version: php-pear-Auth-Yubico-2.3-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-02-23 11:38:36 UTC
fedora: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Patrick Monnerat 2011-02-04 11:41:25 UTC
Spec URL: http://monnerat.fedorapeople.org/php-pear-Auth-Yubico.spec
SRPM URL: http://monnerat.fedorapeople.org/php-pear-Auth-Yubico-2.3-1.fc14.src.rpm
Description: The Yubico authentication PHP class provides an easy way to integrate the Yubikey into your existing PHP-based user authentication infrastructure.

rpmlint silent (sometimes says "404 not found" about the source while it's not true: probably a problem related to rpmlint/googlecode coupling).

Owns the directory /usr/share/pear/auth that is is already owned by the other "php-pear-Auth-*" packages.

Koji scratch build at http://koji.fedoraproject.org/koji/taskinfo?taskID=2761677.

@remi: thanks again for pointing me to the example: it helped me a lot.

Comment 1 Remi Collet 2011-02-19 14:37:19 UTC
Quick notes.

You must use
BuildRequires:    php-pear >= 1:1.4.9-1.2

Because this is the first "working" version which provides the needed macros used in the spec. (see PHP Guidelines) A upper version is acceptable (when required by upstream), not a lower.

The stuff in %build should go in %prep (%build will be empty)

%file should be more explicit (wildcard can introduce issues)

%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Auth

Everything else seems ok.

Comment 2 Patrick Monnerat 2011-02-21 12:17:33 UTC
Thanks for your comments. Above changes applied in:
http://monnerat.fedorapeople.org/php-pear-Auth-Yubico.spec
http://monnerat.fedorapeople.org/php-pear-Auth-Yubico-2.3-2.fc14.src.rpm

Comment 3 Remi Collet 2011-02-21 14:43:19 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Rpmlint output:
php-pear-Auth-Yubico.spec: I: checking-url http://php-yubico.googlecode.com/files/Auth_Yubico-2.3.tgz (timeout 10 seconds)
php-pear-Auth-Yubico.spec: W: invalid-url Source0: http://php-yubico.googlecode.com/files/Auth_Yubico-2.3.tgz HTTP Error 404: Not Found
php-pear-Auth-Yubico.src: I: checking
php-pear-Auth-Yubico.src: I: checking-url http://php-yubico.googlecode.com/ (timeout 10 seconds)
php-pear-Auth-Yubico.src: I: checking-url http://php-yubico.googlecode.com/files/Auth_Yubico-2.3.tgz (timeout 10 seconds)
php-pear-Auth-Yubico.noarch: I: checking
php-pear-Auth-Yubico.noarch: I: checking-url http://php-yubico.googlecode.com/ (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 1 warnings.
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the PHP specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: BSD
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 489dec17a461efd94b683c1e8c8cc3e7  Auth_Yubico-2.3.tgz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f14
 [-] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [-] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [!] Final requires
/bin/sh  
/usr/bin/pear  
php-pear(PEAR)  
php-pear(PEAR) >= 1.4.0
 [x] Final provides
php-pear(__uri/Auth_Yubico) = 2.3
php-pear-Auth-Yubico = 2.3-2.fc14
 [x] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: Koji 
	http://koji.fedoraproject.org/koji/taskinfo?taskID=2853949
 [-] The package should compile and build into binary rpms on all supported architectures.
     Tested on:
 [-] Package functions as described.
 [x] If scriptlets are used, those scriptlets must be sane. 
	register/unregister the extension is ok
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [-] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] %check is present and the tests pass


You have a duplicate requires on PEAR, please remove it before import.

********
APPROVED
********

Comment 4 Patrick Monnerat 2011-02-22 10:24:53 UTC
> You have a duplicate requires on PEAR, please remove it before import.
So evident that I did not notice it! thank you for the review.

Comment 5 Patrick Monnerat 2011-02-22 10:25:46 UTC
New Package SCM Request
=======================
Package Name: php-pear-Auth-Yubico
Short Description: Authentication class for verifying Yubico OTP tokens
Owners: monnerat
Branches: f13 f14 f15
InitialCC:

Comment 6 Jason Tibbitts 2011-02-22 17:14:11 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2011-02-23 11:22:14 UTC
php-pear-Auth-Yubico-2.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/php-pear-Auth-Yubico-2.3-2.fc14

Comment 8 Fedora Update System 2011-02-23 11:22:21 UTC
php-pear-Auth-Yubico-2.3-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/php-pear-Auth-Yubico-2.3-2.fc13

Comment 9 Fedora Update System 2011-02-23 11:22:28 UTC
php-pear-Auth-Yubico-2.3-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/php-pear-Auth-Yubico-2.3-2.fc15

Comment 10 Fedora Update System 2011-03-03 03:16:12 UTC
php-pear-Auth-Yubico-2.3-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-03-04 09:55:18 UTC
php-pear-Auth-Yubico-2.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-03-04 10:03:38 UTC
php-pear-Auth-Yubico-2.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.